> For the complete documentation index, see [llms.txt](https://docs.matestack.io/matestack-ui-bootstrap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matestack.io/matestack-ui-bootstrap/2.1/getting-started/quick-start.md).

# Quick Start \[WIP]

{% hint style="info" %}
We're about to add much more content to this guide. Stay tuned!

Until we have more content in place here, it might be a good idea to review the source code of the [dummy app](https://dummy.matestack.io), which can be found here: <https://github.com/matestack/matestack-ui-bootstrap/tree/main/spec/dummy>

That should already give you a good idea how to use `matestack-ui-bootstrap`
{% endhint %}

## Usage

Create Matestack apps, pages and components as described in the docs of `matestack-ui-core` and utilize the components described in the API section in order to create your UI. Just make sure to include the additional Registry in your desired controllers

`app/controllers/application_controller.rb`

```ruby
class ApplicationController < ActionController::Base

  include Matestack::Ui::Core::Helper # described in Core docs

end
```

and include the registry wherever you want to use the components via methods like "bs\_btn" instead of calling the namespaced classes

`app/matestack/application_component.rb`

```ruby
class ApplicationComponent < Matestack::Ui::Component

  include Matestack::Ui::Bootstrap::Registry # use methods like "bs_btn" instead of calling the namespaced classes

end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.matestack.io/matestack-ui-bootstrap/2.1/getting-started/quick-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
